## itinerary 24.08.2

=== debian/changelog ===
itinerary (24.08.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:53:46 -0500

itinerary (24.08.2-3) experimental; urgency=medium

  * Make it compile in experimental.
  * Feed all qml files to dh_qmldeps.
  * Add overrides for internal/non-existing qml modules.
  * Remove runtime depdendecy on plasma-framework (KF5 only).

 -- Sandro Knauß <hefee@debian.org>  Mon, 14 Oct 2024 02:09:44 +0200

itinerary (24.08.2-2) experimental; urgency=medium

  * Tighten dependencies for experimental build.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 22:33:22 +0200

itinerary (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Switch to dh_qmldeps.
  * Enable tests again.
  * Remove QML dependencies that are shipped via dev packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2024 00:21:04 +0200

itinerary (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update copyright.
  * Switch to Qt6.
  * Use pkgkde-getqmldepends to detect QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 13:50:46 +0200

=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.245~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 0.11.40~),
               kosmindoormap-dev (>= 24.08.0~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 5.245~),
               libkf6calendarcore-dev (>= 5.245~),
               libkf6colorscheme-dev (>= 5.245~),
               libkf6contacts-dev (>= 5.245~),
               libkf6coreaddons-dev (>= 5.245~),
               libkf6crash-dev (>= 5.245~),
               libkf6dbusaddons-dev (>= 5.245~),
               libkf6filemetadata-dev (>= 5.245~),
               libkf6holidays-dev (>= 5.245~),
               libkf6i18n-dev (>= 5.245~),
               libkf6kio-dev (>= 5.245~),
               libkf6networkmanagerqt-dev (>= 5.245~),
               libkf6notifications-dev (>= 5.245~),
               libkf6prison-dev (>= 5.245~),
               libkf6qqc2desktopstyle-dev (>= 5.245~),
               libkf6solid-dev (>= 5.245~),
               libkf6unitconversion-dev (>= 5.245~),
               libkf6windowsystem-dev (>= 5.245~),
               libkirigami-dev (>= 5.245~),
               libkitinerary-dev (>= 24.08.0~),
               libkpimpkpass-dev,
               libkpkpass-dev (>= 24.08.0~),
               libkpublictransport-dev (>= 24.08.0~),
               libquotient-dev (>= 0.7.2~),
               libssl-dev,
               locales-all <!nocheck>,
               qml6-module-org-kde-i18n-localedata,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-prison,
               qml6-module-qt-labs-platform,
               qml6-module-qt-labs-qmlmodels,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	dh_auto_test

## itinerary 24.12.0

=== debian/changelog ===
itinerary (24.12.0-2) unstable; urgency=medium

  * Release to unstable (Closes: #1088978).

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:12:06 +0100

itinerary (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Cleanup explicit QML module list, as dev packages ship them
    directly.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Update build dependencies to run tests successfully.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 23:46:55 +0100

=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dbus-tests <!nocheck>,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 1.5.0~),
               kosmindoormap-dev (>= 24.12.0~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 6.6~),
               libkf6calendarcore-dev (>= 6.6~),
               libkf6colorscheme-dev (>= 6.6~),
               libkf6contacts-dev (>= 6.6~),
               libkf6coreaddons-dev (>= 6.6~),
               libkf6crash-dev (>= 6.6~),
               libkf6dbusaddons-dev (>= 6.6~),
               libkf6filemetadata-dev (>= 6.6~),
               libkf6holidays-dev (>= 6.6~),
               libkf6i18n-dev (>= 6.6~),
               libkf6kio-dev (>= 6.6~),
               libkf6networkmanagerqt-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.6~),
               libkf6prison-dev (>= 6.6~),
               libkf6qqc2desktopstyle-dev (>= 6.6~),
               libkf6solid-dev (>= 6.6~),
               libkf6unitconversion-dev (>= 6.6~),
               libkf6windowsystem-dev (>= 6.6~),
               libkirigami-dev (>= 6.6~),
               libkitinerary-dev (>= 24.12.0~),
               libkpimpkpass-dev,
               libkpkpass-dev (>= 24.12.0~),
               libkpublictransport-dev (>= 24.12.0~),
               libquotient-dev (>= 0.7.2~),
               libssl-dev,
               locales-all <!nocheck>,
               qml6-module-qtlocation <!nocheck>,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.

## itinerary 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(itinerary VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.5)
set(KF_MIN_VERSION 6.6)
set(GEAR_MIN_VERSION 24.08)
set(PIM_MIN_VERSION 6.2)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddAndroidApk)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

ecm_setup_version(PROJECT VARIABLE_PREFIX ITINERARY VERSION_HEADER itinerary_version.h)
set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION}")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    find_package(Git)
    set_package_properties(Git PROPERTIES TYPE OPTIONAL PURPOSE "Determine exact build version.")
    if (GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE _git_rev)
        string(REGEX REPLACE "\n" "" _git_rev "${_git_rev}")
        set(ITINERARY_DETAILED_VERSION_STRING "${ITINERARY_VERSION} (${_git_rev})")
    endif()
endif()

# build-time dependencies
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test Quick Positioning QuickControls2)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS NetworkManagerQt)
find_package(KF6KirigamiAddons 1.5.0 REQUIRED)
find_package(KPim6PkPass ${PIM_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Itinerary ${PIM_MIN_VERSION} CONFIG REQUIRED)
find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)
find_package(Qt6Keychain CONFIG REQUIRED)
find_package(LibIcal 3.0)
find_package(ZLIB REQUIRED)
set(QUOTIENT_FORCE_NAMESPACED_INCLUDES ON)
find_package(QuotientQt6 0.7.2 CONFIG)
find_package(SeleniumWebDriverATSPI)

set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
set_package_properties(KF6Solid PROPERTIES TYPE RUNTIME PURPOSE "Used for controlling the screen brightness.")
set_package_properties(KHealthCertificate PROPERTIES TYPE OPTIONAL PURPOSE "Needed for the vaccination certificate manager.")
set_package_properties(QuotientQt6 PROPERTIES TYPE OPTIONAL PURPOSE "Needed for Matrix location sharing.")
set_package_properties(SeleniumWebDriverATSPI PROPERTIES PURPOSE "Needed for GUI tests" URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi" TYPE OPTIONAL)

include(ECMFindQmlModule)
# TODO all of these should be required, but that doesn't work with Flatpak/Android yet...
ecm_find_qmlmodule(QtLocation 6.0)
ecm_find_qmlmodule(QtMultimedia 6.0)
ecm_find_qmlmodule(QtPositioning 6.0)
ecm_find_qmlmodule(org.kde.kitemmodels ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.prison ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.prison.scanner ${KF_MIN_VERSION})
ecm_find_qmlmodule(org.kde.kosmindoormap ${GEAR_MIN_VERSION} REQUIRED)
ecm_find_qmlmodule(org.kde.kopeninghours ${GEAR_MIN_VERSION} REQUIRED)

# runtime dependencies are build-time dependencies on Android
if (ANDROID)
    find_package(Qt6 REQUIRED COMPONENTS Svg)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive ColorScheme Kirigami Prison)
    if (NOT DEFINED BREEZEICONS_DIR AND EXISTS ${CMAKE_SOURCE_DIR}/../breeze-icons)
        set(BREEZEICONS_DIR ${CMAKE_SOURCE_DIR}/../breeze-icons)
    endif()
    find_package(OpenSSL REQUIRED)
    find_package(Gradle REQUIRED)
    set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
else()
    find_package(Qt6 REQUIRED COMPONENTS Widgets DBus)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons QQC2DesktopStyle WindowSystem)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Solid Crash FileMetaData KIO)
    find_package(SharedMimeInfo 1.0 REQUIRED)
    set(HAVE_DBUS ON)
endif()
if (TARGET KF6::Crash)
    set(HAVE_KCRASH TRUE)
endif()
if (TARGET KHealthCertificate)
    set(HAVE_KHEALTHCERTIFICATE TRUE)
endif()
if (TARGET QuotientQt6)
    set(HAVE_MATRIX TRUE)
else()
    set(HAVE_MATRIX FALSE)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.4.0
    KF 6.5.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# install Fontconfig workaround for emoji fonts in Flatpaks
if (FLATPAK_BUILD)
    install(FILES flatpak/99-noto-color-emoji.conf DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/fonts/local.conf)
endif()

ecm_qt_install_logging_categories(
    EXPORT ITINERARY
    FILE org_kde_itinerary.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(jnisignaturetest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnipropertytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jniarraytest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(jnimethodtest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)
ecm_add_test(androidwrappertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras)

if (TARGET LibIcal)
    ecm_add_test(androidicalconvertertest.cpp LINK_LIBRARIES Qt::Test KAndroidExtras KCalendarCoreExtras LibIcal)
endif()

ecm_add_test(gpxwritertest.cpp LINK_LIBRARIES Qt::Test GpxIo)

ecm_add_test(pkpassmanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME pkpassmanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(reservationmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(applicationcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(importcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgrouptest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(locationinformationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinemodeltest.cpp modelverificationpoint.cpp TEST_NAME timelinemodeltest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinesectiondelegatecontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupproxytest.cpp modelverificationpoint.cpp TEST_NAME tripgroupproxytest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(publictransporttest.cpp TEST_NAME publictransporttest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(publictransportmatchertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(timelinedelegatecontrollertest.cpp TEST_NAME timelinedelegatecontrollertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(documentmanagertest.cpp TEST_NAME documentmanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(documentsmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(statisticstest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(favoritelocationtest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(transfertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(livedatamanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME livedatamanagertest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(healthcertificatemanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(passmanagertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(calendarhelpertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(journeysectionmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(downloadjobtest.cpp mocknetworkaccessmanager.cpp TEST_NAME downloadjobtest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(onlineticketretrievaltest.cpp mocknetworkaccessmanager.cpp TEST_NAME onlineticketretrievaltest LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupcontrollertest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgroupsplitmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(tripgrouplocationmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
ecm_add_test(costaccumulatortest.cpp LINK_LIBRARIES Qt::Test itinerary)

ecm_add_test(weathertest.cpp LINK_LIBRARIES Qt::Test itinerary-weather)
target_include_directories(weathertest PRIVATE ${CMAKE_BINARY_DIR})

# verify QML code
add_test(NAME itinerary-self-test COMMAND itinerary-app --self-test)

# Selenium-based UI tests
function(add_selenium_test test)
    if (SeleniumWebDriverATSPI_FOUND OR (CMAKE_SYSTEM_NAME MATCHES "Linux" AND DEFINED ENV{KDECI_BUILD}))
        add_test(NAME appium-${test} COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/${test}.py)
        set_tests_properties(appium-${test} PROPERTIES
            ENVIRONMENT "USE_CUSTOM_BUS=1;QT_QUICK_CONTROLS_MOBILE=1;QT_QUICK_CONTROLS_STYLE=org.kde.breeze"
            TIMEOUT 120
        )
    endif()
endfunction()

add_selenium_test(apptest)
add_selenium_test(passtest)
add_selenium_test(onlineimporttest)
if (NOT Qt6Core_VERSION VERSION_EQUAL 6.8.0 OR NOT DEFINED ENV{KDECI_BUILD}) # missing https://codereview.qt-project.org/c/qt/qtdeclarative/+/599986
add_selenium_test(reservationtest)
endif()
add_selenium_test(settingstest)
if (NOT Qt6Core_VERSION VERSION_EQUAL 6.8.0 OR NOT DEFINED ENV{KDECI_BUILD}) # missing https://codereview.qt-project.org/c/qt/qtdeclarative/+/599986
add_selenium_test(tripgrouptest)
endif()

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-itinerary.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-itinerary.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/itinerary_version_detailed.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/itinerary_version_detailed.h)

add_library(itinerary STATIC)
target_sources(itinerary PRIVATE
    applicationcontroller.cpp
    calendarhelper.cpp
    clipboard.cpp
    costaccumulator.cpp
    documentmanager.cpp
    documentsmodel.cpp
    downloadjob.cpp
    favoritelocationmodel.cpp
    filehelper.cpp
    genericpkpass.cpp
    gpxexport.cpp
    healthcertificatemanager.cpp
    importcontroller.cpp
    importexport.cpp
    intenthandler.cpp
    journeysectionmodel.cpp
    json.cpp
    jsonio.cpp
    kdeconnect.cpp
    livedata.cpp
    livedatamanager.cpp
    localizer.cpp
    locationhelper.cpp
    locationinformation.cpp
    navigationcontroller.cpp
    notificationhelper.cpp
    onlineticketretrievaljob.cpp
    osmimportjob.cpp
    passmanager.cpp
    pkpassmanager.cpp
    pkpassimageprovider.cpp
    publictransport.cpp
    publictransportmatcher.cpp
    reservationhelper.cpp
    reservationmanager.cpp
    statisticsmodel.cpp
    statisticstimerangemodel.cpp
    timelinedelegatecontroller.cpp
    timelineelement.cpp
    timelinemodel.cpp
    timelinesectiondelegatecontroller.cpp
    tripgroup.cpp
    tripgroupcontroller.cpp
    tripgroupfilterproxymodel.cpp
    tripgroupmanager.cpp
    tripgroupmapmodel.cpp
    tripgroupmodel.cpp
    tripgrouplocationmodel.cpp
    tripgroupproxymodel.cpp
    tripgroupsplitmodel.cpp
    transfer.cpp
    transfermanager.cpp
    util.cpp
    weatherinformation.cpp
)
ecm_qt_declare_logging_category(itinerary
    HEADER logging.h
    IDENTIFIER Log
    CATEGORY_NAME org.kde.itinerary
    DESCRIPTION "KDE Itinerary app"
    EXPORT ITINERARY 
)

target_link_libraries(itinerary PUBLIC
    itinerary-weather
    SolidExtras
    GpxIo
    KPublicTransport
    KPublicTransportOnboard
    KOSMIndoorMap
    KPim6::Itinerary
    KPim6::PkPass
    KPim6::Mime
    KF6::CalendarCore
    KF6::I18n
    KF6::I18nLocaleData
    KF6::Contacts
    KF6::CoreAddons
    KF6::Notifications
    KF6::Holidays
    KF6::UnitConversion
    Qt::Network
    Qt::Quick
    Qt::Positioning
PRIVATE
    Qt::CorePrivate
)
if (HAVE_MATRIX)
    target_link_libraries(itinerary PUBLIC KMatrix)
endif()

if (TARGET KHealthCertificate)
    target_link_libraries(itinerary PRIVATE KHealthCertificate)
endif()

add_executable(itinerary-app ${itinerary_app_srcs})
target_sources(itinerary-app PRIVATE
    main.cpp
    countrysubdivisionmodel.cpp
    developmentmodecontroller.cpp
    factory.cpp
    mapdownloadmanager.cpp
    matrixcontroller.cpp
    notificationconfigcontroller.cpp
    notifyrc.qrc
    onlineticketimporter.cpp
    permissionmanager.cpp
    settings.cpp
    tickettokenmodel.cpp
    traewellingcontroller.cpp
    transferdelegatecontroller.cpp
    unitconversion.cpp
    weatherforecastmodel.cpp
)
ecm_add_qml_module(itinerary-app URI org.kde.itinerary NO_PLUGIN QML_FILES
    Main.qml
    AboutPage.qml
    ActionsCard.qml
    AlternativeJourneyPage.qml
    BarcodeContainer.qml
    BarcodeScanModeController.qml
    BarcodeScanModeButton.qml
    BarcodeScannerPage.qml
    BoardingPass.qml
    BoatDelegate.qml
    BoatEditor.qml
    BoatPage.qml
    BookingCard.qml
    BookingEditorCard.qml
    BusDelegate.qml
    BusEditor.qml
    BusPage.qml
    CardPageTitle.qml
    CalendarSelectionSheet.qml
    CarRentalDelegate.qml
    CarRentalPage.qml
    ContactCard.qml
    ContactEditorCard.qml
    CountryComboBox.qml
    CountryComboBoxDelegate.qml
    DepartureQueryPage.qml
    DetailsPage.qml
    DevelopmentModePage.qml
    DocumentsCard.qml
    EditorPage.qml
    EventDelegate.qml
    EventEditor.qml
    EventPage.qml
    EventTicket.qml
    FavoriteLocationPage.qml
    FlightDelegate.qml
    FlightEditor.qml
    FlightPage.qml
    FormDateTimeEditDelegate.qml
    FormPlaceDelegate.qml
    FormPlaceEditorDelegate.qml
    FormPlatformDelegate.qml
    FormPriceDelegate.qml
    FormPriceEditDelegate.qml
    GenericPass.qml
    GenericPkPassPage.qml
    HealthCertificateBarcode.qml
    HealthCertificateRecovery.qml
    HealthCertificatePage.qml
    HealthCertificateTest.qml
    HealthCertificateVaccination.qml
    HotelDelegate.qml
    HotelEditor.qml
    HotelPage.qml
    ImportPage.qml
    IndoorMapGateSheet.qml
    IndoorMapInfoSheet.qml
    IndoorMapPage.qml
    IndoorMapPlatformSheet.qml
    IntermediateStopSelector.qml
    JourneyDelegateHeader.qml
    JourneyPathPage.qml
    JourneyRequestPage.qml
    JourneyQueryPage.qml
    JourneySectionDelegate.qml
    JourneySectionPage.qml
    JourneySectionStopDelegate.qml
    JourneySectionStopDelegateLineSegment.qml
    JourneySummaryDelegate.qml
    LiveStatusPage.qml
    LocationInfoDelegate.qml
    LocationPicker.qml
    MapCircle.qml
    MapPin.qml
    MapStopoverInfoSheetDrawer.qml
    MapView.qml
    MatrixRoomSelectionSheet.qml
    NavigationBar.qml
    OnlineImportPage.qml
    PassPage.qml
    PkPassBarcode.qml
    PkPassPage.qml
    ProgramMembershipCard.qml
    ProgramMembershipEditorCard.qml
    ProgramMembershipEditor.qml
    ProgramMembershipPage.qml
    PublicTransportBackendPage.qml
    PublicTransportFeatureList.qml
    ReservationDocumentsCard.qml
    RestaurantDelegate.qml
    RestaurantEditor.qml
    RestaurantPage.qml
    SeatRowFormCard.qml
    SettingsPage.qml
    SheetDrawer.qml
    StatisticsDelegate.qml
    StatisticsPage.qml
    StopPickerPage.qml
    TicketEditor.qml
    TicketPage.qml
    TicketTokenDelegate.qml
    TicketTokenEditorCard.qml
    TimelineDelegate.qml
    TimelineDelegateSeatRow.qml
    TimelineDelegateSeatRowLabel.qml
    TimelinePage.qml
    TimelineSectionDelegate.qml
    TouristAttractionDelegate.qml
    TouristAttractionPage.qml
    TrainDelegate.qml
    TrainEditor.qml
    TrainPage.qml
    TransferDelegate.qml
    TransferPage.qml
    TransportIcon.qml
    TripGroupDelegate.qml
    TripGroupEditorDialog.qml
    TripGroupMapPage.qml
    TripGroupMergeDialog.qml
    TripGroupPage.qml
    TripGroupSelectorCard.qml
    TripGroupSplitPage.qml
    TripGroupsPage.qml
    VehicleLayoutPage.qml
    VerticalNavigationButton.qml
    WeatherForecastDelegate.qml
    WeatherForecastPage.qml
    WelcomePage.qml

    components/RadioSelector.qml
    onlineimport/db.qml
    onlineimport/sncf.qml
)
target_include_directories(itinerary-app PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(itinerary-app PRIVATE
    itinerary
    Qt::QuickControls2
    KCalendarCoreExtras
    Qt6Keychain::Qt6Keychain
)
if (ANDROID)
    target_link_libraries(itinerary PUBLIC KAndroidExtras PRIVATE Qt::CorePrivate)
    # explicitly add runtime dependencies and transitive link dependencies,
    # so androiddeployqt picks them up
    target_link_libraries(itinerary-app PRIVATE
        KF6::Archive
        KF6::ColorScheme
        KF6::Kirigami
        Qt::Svg
        Qt::CorePrivate
        KF6::Prison
        OpenSSL::SSL
    )

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

    kirigami_package_breeze_icons(ICONS
        applications-development-symbolic
        application-pdf
        arrow-down
        arrow-left
        arrow-right
        arrow-up
        backup
        bookmarks
        call-start
        channel-insecure-symbolic
        channel-secure-symbolic
        checkmark
        clock
        crosshairs
        cross-shape
        dialog-cancel
        dialog-close
        dialog-error-symbolic
        dialog-ok
        document-edit
        document-export-symbolic
        document-import
        document-open
        document-save
        documentinfo
        donate-symbolic
        download
        edit-copy-symbolic
        edit-delete
        edit-download
        edit-paste
        edit-rename
        emblem-important
        emblem-shared-symbolic
        flag
        flashlight-off
        flashlight-on
        folder-documents-symbolic
        format-list-unordered
        globe-symbolic
        go-down-symbolic
        go-home-symbolic
        go-next-symbolic
        go-up-symbolic
        help-about-symbolic
        help-contents
        license
        list-add
        mail-attachment-symbolic
        mail-message-new
        map-globe
        map-gnomonic
        map-symbolic
        media-playback-playing
        meeting-attending
        merge
        message-rfc822
        notifications
        question
        raindrop
        reverse
        search
        settings-configure
        split
        temperature-cold
        temperature-normal
        temperature-warm
        tools-report-bug-symbolic
        view-barcode-qr
        view-calendar
        view-calendar-day
        view-currency-list
        view-list-details
        view-refresh
        view-statistics
        wallet-open
        window-close-symbolic
        zoom-in-symbolic
        zoom-out-symbolic

        weather-clear
        weather-clear-wind
        weather-clear-night
        weather-clear-wind-night
        weather-few-clouds
        weather-few-clouds-wind
        weather-few-clouds-night
        weather-few-clouds-wind-night
        weather-clouds
        weather-clouds-wind
        weather-clouds-night
        weather-clouds-wind-night
        weather-showers-day
        weather-showers-night
        weather-showers-scattered-day
        weather-showers-scattered-night
        weather-snow-scattered-day
        weather-snow-scattered-night
        weather-storm-day
        weather-storm-night
        weather-many-clouds
        weather-many-clouds-wind
        weather-fog
        weather-showers
        weather-showers-scattered
        weather-hail
        weather-snow
        weather-snow-scattered
        weather-storm
        cloud-upload
    )

    ecm_add_android_apk(itinerary-app ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/ RENAME org.kde.itinerary.svg)
else ()
    target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
    target_link_libraries(itinerary-app PRIVATE
        KF6::DBusAddons
        KF6::WindowSystem
        Qt::Widgets
    )
    set_target_properties(itinerary-app PROPERTIES OUTPUT_NAME "itinerary")
    ecm_install_icons(ICONS sc-apps-org.kde.itinerary.svg DESTINATION ${KDE_INSTALL_ICONDIR})
endif()
if (TARGET KF6::Crash)
    target_link_libraries(itinerary-app PRIVATE KF6::Crash)
endif()

install(TARGETS itinerary-app ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
if (NOT ANDROID)
    install(PROGRAMS org.kde.itinerary.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.itinerary.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES itinerary.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

=== src/gpx/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(GpxIo STATIC
    gpxreader.cpp
    gpxwriter.cpp
)
target_include_directories(GpxIo PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(GpxIo PUBLIC Qt::Core)

=== src/solidextras/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qml)

set(solidextras_srcs
    brightnessmanager.cpp
    lockmanager.cpp
    networkstatus.cpp
)

if (ANDROID)
    add_subdirectory(android)
    list(APPEND solidextras_srcs
        androidbrightnessbackend.cpp
        androidlockbackend.cpp
        networkstatus_android.cpp
    )
else()
    list(APPEND solidextras_srcs
        solidbrightnessbackend.cpp
        freedesktoplockbackend.cpp
        networkstatus_dbus.cpp
    )
    qt_add_dbus_interface(solidextras_srcs org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml brightnesscontroldbusinterface)
    qt_add_dbus_interface(solidextras_srcs org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    qt_add_dbus_interface(solidextras_srcs org.freedesktop.portal.NetworkMonitor.xml portalnetworkmonitor)
endif()

add_library(SolidExtras ${solidextras_srcs})
generate_export_header(SolidExtras BASE_NAME SolidExtras)

if (TARGET KF6::NetworkManagerQt)
    set(HAVE_NM ON)
endif()
configure_file(config-solid-extras.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-solid-extras.h)

target_include_directories(SolidExtras PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(SolidExtras PUBLIC Qt::Core)

if (NOT ANDROID)
    target_link_libraries(SolidExtras PRIVATE Qt::DBus)
    if (TARGET KF6::NetworkManagerQt)
        target_link_libraries(SolidExtras PRIVATE KF6::NetworkManagerQt)
    endif()
endif()

install(TARGETS SolidExtras ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
itinerary (24.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Disable test that is failing with Qt 6.9 (Closes: #1115743).

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Sep 2025 11:10:11 +0200

itinerary (24.12.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: Install qml6-module-qtlocation when nocheck is in effect.
    This fixes an FTBFS when nocheck is used. (Closes: #1104202)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 27 Apr 2025 20:41:06 -0400

itinerary (24.12.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Mark tests for mips64el as flaky.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Apr 2025 19:43:31 +0200

itinerary (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove redundant B-D of libkpimpkpass-dev (Closes: #1093784).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -33,13 +33,12 @@
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
                libkitinerary-dev (>= 24.12.0~),
-               libkpimpkpass-dev,
                libkpkpass-dev (>= 24.12.0~),
                libkpublictransport-dev (>= 24.12.0~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
-               qml6-module-qtlocation <!nocheck>,
+               qml6-module-qtlocation,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
@@ -50,7 +49,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

flaky_tests_archs := mips64el

%:
	dh $@

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), $(flaky_tests_archs)))
	- xvfb-run dbus-run-session dh_auto_test --no-parallel
else
	xvfb-run dbus-run-session dh_auto_test --no-parallel
endif

## itinerary 25.04.3

=== debian/changelog ===
itinerary (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:53 +0100

itinerary (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:32 +0100

itinerary (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:26 +0100

itinerary (25.04.0-0ubuntu2) questing; urgency=medium

  * Update qmldeps.overrides for 25.04.

 -- Rik Mills <rikmills@kde.org>  Thu, 01 May 2025 07:04:27 +0100

itinerary (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:34 +0100

itinerary (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:18 -0500

itinerary (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

itinerary (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: itinerary
 Section: misc
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
 Build-Depends: cmake (>= 3.16~),
+               dbus-tests <!nocheck>,
                debhelper-compat (= 13),
-               dbus-tests <!nocheck>,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 24.12.0~),
+               kosmindoormap-dev (>= 25.04.3~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -32,13 +33,13 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 24.12.0~),
-               libkpkpass-dev (>= 24.12.0~),
-               libkpublictransport-dev (>= 24.12.0~),
+               libkitinerary-dev (>= 25.04.3~),
+               libkpkpass-dev (>= 25.04.3~),
+               libkpublictransport-dev (>= 25.04.3~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
-               qml6-module-qtlocation,
+               qml6-module-qtlocation <!nocheck>,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
@@ -49,10 +50,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://www.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
 Rules-Requires-Root: no
 
 Package: itinerary

## itinerary 25.07.80

=== debian/changelog ===
itinerary (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.04.3~),
+               kosmindoormap-dev (>= 25.07.80~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.04.3~),
-               libkpkpass-dev (>= 25.04.3~),
-               libkpublictransport-dev (>= 25.04.3~),
+               libkitinerary-dev (>= 25.07.80~),
+               libkpkpass-dev (>= 25.07.80~),
+               libkpublictransport-dev (>= 25.07.80~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,

## itinerary 25.07.90

=== debian/changelog ===
itinerary (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.07.80~),
+               kosmindoormap-dev (>= 25.07.90~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.07.80~),
-               libkpkpass-dev (>= 25.07.80~),
-               libkpublictransport-dev (>= 25.07.80~),
+               libkitinerary-dev (>= 25.07.90~),
+               libkpkpass-dev (>= 25.07.90~),
+               libkpublictransport-dev (>= 25.07.90~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,

## itinerary 25.08.0

=== debian/changelog ===
itinerary (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.07.90~),
+               kosmindoormap-dev (>= 25.08.0~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.07.90~),
-               libkpkpass-dev (>= 25.07.90~),
-               libkpublictransport-dev (>= 25.07.90~),
+               libkitinerary-dev (>= 25.08.0~),
+               libkpkpass-dev (>= 25.08.0~),
+               libkpublictransport-dev (>= 25.08.0~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
